Main Page | Modules | File List | File Members

# The Function Definitions

The definitions for the functions. More...

## Modules
The Account Functions
| The Account functions.

The Match Functions
| The Match Callback functions.

The Fix Functions
| The Fix Callback functions.

## Functions
GSbool | MSClient_Initialize (const GSchar *szMasterServerIP, GSushort usMasterServerPort, const GSchar *szUserName, const GSchar *szPassword, const GSchar *szVersion)
| Initialize the library.
GSbool | MSClient_Uninitialize ()
| Uninitialize the library.
GSbool | MSClient_Engine (GSuint uiMaxPostingDelay=500, GSuint uiMaxsOperationalDelay=800)
| Runs the Library.
GSbool | MSClient_RequestGameServers (const GSchar *szGameName)
| Request a new list of game servers.
GSbool | MSClient_RefreshGameServer (GSint iLobbyID, GSint iRoomID)
| Refresh certain Game Servers.
GSbool | MSClient_RequestAlternateInfo (GSint iLobbyID, GSint iRoomID)
| Request the alternate info of a game server.
GSbool | MSClient_JoinGameServer (GSint iLobbyID, GSint iRoomID, const GSchar *szPassword, const GSchar *szGSVersion, const GSchar *szGameName, const GSvoid *pvPlayerInfo, GSint iPlayerInfoSize)
| Tells the library to join a Game Server.
GSbool | MSClient_LeaveGameServer (GSint iLobbyID, GSint iRoomID)
| Leaves the Game Server.
GSbool | MSClient_GameServerConnected (GSint iLobbyID, GSint iRoomID)
| Leaves the Game Server.

## Detailed Description

These are the functions of the library that can be used by the client.

## Function Documentation

GSbool MSClient_Engine | ( | GSuint | uiMaxPostingDelay = 500,
|  | GSuint | uiMaxsOperationalDelay = 800
| ) |

  | Description: Sends and receives library messages Returns: the success of the Function Parameters:
  uiMaxPostingDelay | The maximum time to be spent inside the engine to read incomming messages and posting them to the message queue. (Milliseconds)
  uiMaxsOperationalDelay | The maximum time to be spent inside the engine to decode message in the queue and calling appropriate callback. (Milliseconds)

GSbool MSClient_GameServerConnected | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Tells the Lobby Server and that the player has connected to the GameServer. Returns: The success of the Function Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_Initialize | ( | const GSchar * | szMasterServerIP,
|  | GSushort | usMasterServerPort,
|  | const GSchar * | szUserName,
|  | const GSchar * | szPassword,
|  | const GSchar * | szVersion
| ) |

  | Description: Initializes the library and logs into the GSRouter. Since this could take some time the function returns and MSClient_InitFinishedCB is called to say when the login has finished. Returns: The success of the Function Parameters:
  szMasterServerIP | The IP of the GSRouter
  usMasterServerPort | The port of the GSRotuer
  szUserName | The players username
  szPassword | The players password
  szVersion | The client version

GSbool MSClient_JoinGameServer | ( | GSint | iLobbyID,
|  | GSint | iRoomID,
|  | const GSchar * | szPassword,
|  | const GSchar * | szGSVersion,
|  | const GSchar * | szGameName,
|  | const GSvoid * | pvPlayerInfo,
|  | GSint | iPlayerInfoSize
| ) |

  | Description: This lets the Lobby Server and GSRouter know what Game Server a player is on. MSClient_JoinFinishedCB is called when the Game Server has been joined. Returns: The success of the Function Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.
  szPassword | The password of the Game Server to join
  szGSVersion | The GSVersion of the Game Server.
  szGameName | The Game Name of the Ggame Server.
  pvPlayerInfo | A buffer to send to the Game Server.
  iPlayerInfoSize | The size of the pvPlayerInfo buffer in bytes.

GSbool MSClient_LeaveGameServer | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Tells the Lobby Server and GSRouter that the player has left the GameServer. Returns: The success of the Function Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_RefreshGameServer | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Refresh the given Game Server. MSClient_GameServerCB is called for the Game Server refreshed. Returns: the success of the Function Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_RequestAlternateInfo | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Request the alternate information for the given Game Server. MSClient_AlternateInfoCB is called for when the request is received. Returns: The success of the Function. Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_RequestGameServers | ( | const GSchar * | szGameName | ) |

  | Description: Request a list of Game Servers based on the ugly game name. MSClient_GameServerCB is called for each Game Server received. MSClient_RequestFinishedCB is called when the list is finished. You can call MSClient_JoinGameServer before the list is finished. Returns: the success of the Function Parameters:
  szGameName | The game name of the servers to request

GSbool MSClient_Uninitialize | ( |  | ) |

| Description: Uninitializes the library and frees all allocated memory Returns: the success of the Function

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team